---
id: 5f3477aefa51bfc29327200b
title: Step 10
challengeType: 0
dashedName: step-10
---

# --description--

You have styled three elements by writing CSS inside the `style` tags. This works, but since there will be many more styles, it's best to put all the styles in a separate file and link to it.

A separate `styles.css` file has been created for you. You can switch between files with the tabs at the top of the editor.

Start by rewriting the styles you have created into the `styles.css` file. Make sure you exclude the opening and closing `style` tags.

# --hints--

Your `styles.css` file should have the `h1, h2, p` type selector.

```js
assert.match(code.slice(code.indexOf('</html>')).replace(/[\s\n]*/g, ""), __helpers.concatRegex(__helpers.permutateRegex(['h1', 'h2', 'p'], { elementsSeparator: ',' }), /{/));
```
 
Your selector should set the `text-align` property to `center`.

```js
assert.match(code.slice(code.indexOf('</html>')), /text-align:\s*center;?/);
```

Your code should not contain the `<style>` tags.

```js
assert.isFalse(/<\/html>(\n|.)*<\/?\s*style\s*>/.test(code));
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>Cafe Menu</title>
    <style>
      h1, h2, p {
        text-align: center;
      }
    </style>
  </head>
  <body>
    <main>
      <h1>CAMPER CAFE</h1>
      <p>Est. 2020</p>
      <section>
        <h2>Coffee</h2>
      </section>
    </main>
  </body>
</html>
```

```css
--fcc-editable-region--

--fcc-editable-region--

```
